Skip to main content
GET
/
api
/
v3
/
axisSections
/
{id}
Get an AxisSection by id
curl --request GET \
  --url https://{host}/api/v3/axisSections/{id} \
  --header 'Authorization: <authorization>'
import requests

url = "https://{host}/api/v3/axisSections/{id}"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://{host}/api/v3/axisSections/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "code": "<string>",
    "multilingualName": {},
    "axisId": 123,
    "id": 2,
    "name": "<string>",
    "url": "<string>",
    "description": "<string>",
    "ownerId": 123,
    "startOn": "2023-11-07T05:31:56Z",
    "endOn": "2023-11-07T05:31:56Z",
    "active": true,
    "isPublic": true,
    "departments": [
      {
        "id": 123
      }
    ],
    "legalEntities": [
      {
        "id": 123
      }
    ],
    "users": [
      {
        "id": 123
      }
    ],
    "parentAxisSections": [
      {
        "code": "<string>",
        "multilingualName": {},
        "axisId": 123,
        "id": 2,
        "name": "<string>",
        "url": "<string>",
        "description": "<string>",
        "ownerId": 123,
        "startOn": "2023-11-07T05:31:56Z",
        "endOn": "2023-11-07T05:31:56Z",
        "active": true,
        "isPublic": true,
        "departments": [
          {
            "id": 123
          }
        ],
        "legalEntities": [
          {
            "id": 123
          }
        ],
        "users": [
          {
            "id": 123
          }
        ]
      }
    ],
    "childrenAxisSections": [
      {
        "code": "<string>",
        "multilingualName": {},
        "axisId": 123,
        "id": 2,
        "name": "<string>",
        "url": "<string>",
        "description": "<string>",
        "ownerId": 123,
        "startOn": "2023-11-07T05:31:56Z",
        "endOn": "2023-11-07T05:31:56Z",
        "active": true,
        "isPublic": true,
        "departments": [
          {
            "id": 123
          }
        ],
        "legalEntities": [
          {
            "id": 123
          }
        ],
        "users": [
          {
            "id": 123
          }
        ]
      }
    ]
  }
}

Headers

Authorization
string
required

API key. Value must be formatted like so: lucca application={api_key}.

Path Parameters

id
integer
required

ID of the axis-section.

Response

OK

data
The Axis Section resource · object